unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Chart1: TChart;
    Series1: TLineSeries;
    Button3: TButton;
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var i:integer;
begin
   Series1.Stairs:=false;  //jest to standardowe ustawienie tej właściwości,
   //ale po zmianie przyciskami Button2 i Button3 należy wrócić do ustawień
   //domyślnych
   Label1.Caption:='';
   with Chart1.Series[0] do  //lub with Series1 do
   begin
     FillSampleValues(10);
     for i:=0 to Count-1 do
     label1.Caption:=Label1.Caption + FloatToStr(XValue[i])+' , ' +
     FloatToStr(YValue[i])+#13;
   end;
end;

// łączenie punktów liniami poziomymi i pionowymi
procedure TForm1.Button2Click(Sender: TObject);
begin
  Series1.Stairs:=true;
  Series1.InvertedStairs:=false;
end;

// łączenie punktów najpierw linią pionową, potem poziomą itd.
procedure TForm1.Button3Click(Sender: TObject);
begin
  Series1.Stairs:=true;
  Series1.InvertedStairs:=true;  //odwrócone schodki
end;

end.
